curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/accounts' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"accounts": [
{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"normal_balance": "49.00",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
],
"total": 102
}
List accounts
List accounts
GET
/
api
/
v1
/
gl
/
accounts
curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/accounts' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"accounts": [
{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"normal_balance": "49.00",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
],
"total": 102
}
Query parameters
string
One of
asset, liability, equity, revenue, expense.string
One of
active, inactive, archived.string
integer (int32)
integer (int32)
Response
GlAccountListResponse
GlAccountResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/accounts' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"accounts": [
{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"normal_balance": "49.00",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
],
"total": 102
}
Last modified on August 31, 2026